Workspaces

The following endpoints allow you to retrieve the list of all workspaces available and manage the link between equipments and workspaces.

Workspaces

get
/v2/fleet/workspaces

Returns the list of all workspaces available

Authorizations
x-access-tokenstringRequired

Generate a JWT when you log in. Use it in your following requests in the header as x-access-token: your-token-here

Responses
get
/v2/fleet/workspaces

Add Equipment to Workspaces

post
/v2/fleet/equipment/assetWorkspaces/linkAssetToWorkspaces

Add asset workspaces data with assetId or (serialNumber AND make) of Asset and workspace names

Authorizations
x-access-tokenstringRequired

Generate a JWT when you log in. Use it in your following requests in the header as x-access-token: your-token-here

Body
assetIdnumberOptional
serialNumberstringOptional
makestringOptional
workspaceNamesstring[]Optional
Responses
post
/v2/fleet/equipment/assetWorkspaces/linkAssetToWorkspaces

Remove Equipment from Workspaces

delete
/v2/fleet/equipment/assetWorkspaces/linkAssetToWorkspaces

delete link asset and workspaces data with assetId or (serialNumber AND make) of Asset and workspace names

Authorizations
x-access-tokenstringRequired

Generate a JWT when you log in. Use it in your following requests in the header as x-access-token: your-token-here

Body
assetIdnumberOptional
serialNumberstringOptional
makestringOptional
workspaceNamesstring[]Optional
Responses
delete
/v2/fleet/equipment/assetWorkspaces/linkAssetToWorkspaces

Last updated

Was this helpful?